﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win.UltraWinExplorerBar;
using Infragistics.Win;

namespace WEB_CustomIndicatorImage
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {          
            Bitmap myImage = new Bitmap(@"..\..\imag\DataSortDescending.png");
           
            UltraExplorerBarGroup aGroup = new UltraExplorerBarGroup ();
            UltraExplorerBarItem anItem = new UltraExplorerBarItem();

            aGroup.Text = "Employee Info";
            aGroup.Key = "g_EmployeeInfo";
            this.ultraExplorerBar1.Groups.Add(aGroup);

            anItem.Key = "i_BeckyJohnson";
            anItem.Text = "Becky Johnson";
            aGroup.Items.Add(anItem);

            aGroup.Items.Add("i_SteveWalls", "Steve Walls");
            aGroup.Items.Add("i_MegMarch", "Meg March");

            aGroup.Items[0].Settings.Enabled = DefaultableBoolean.False;
            aGroup.Items[0].Settings.AppearancesSmall.Appearance.Image = myImage;
            aGroup.Items[1].Settings.Enabled = DefaultableBoolean.False;
            aGroup.Items[1].Settings.AppearancesSmall.Appearance.Image = SystemIcons.Asterisk.ToBitmap();


            aGroup.Items[2].Settings.Enabled = DefaultableBoolean.False;
            aGroup.Items[2].Settings.AppearancesSmall.Appearance.Image = myImage;


            foreach (UltraExplorerBarGroup group in ultraExplorerBar1.Groups)
            {
                group.Settings.AppearancesSmall.HeaderAppearance.Image = myImage;               
            }
             //ultraExplorerBar1.GroupSettings.Style = Infragistics.Win.UltraWinExplorerBar.GroupStyle.SmallImagesWithText;
 
            this.ultraExplorerBar1.GroupSettings.ShowExpansionIndicator = Infragistics.Win.DefaultableBoolean.True;
            this.ultraExplorerBar1.DrawFilter = new CustomDrawFilter();
        }
    }
}
